:root {

    --body:#eaecf1 ;
    --primary: #ffc342 ;
    --secondary: rgb(33, 56, 73) ;
    --accent: #cf3737;
    --accent2: rgb(4, 149, 212);
    --accentlight:#c36464;
    --nuetral1: #494949;
    --nuetral2: #ffffff;
    --nuetral3: #d5d9da;

    --base-margin: 2em; 
    --small-margin: 20px; 
    --small-padding: 15px;
    --base-padding: 25px;
    /*--
    
    --*/

    --statementfont: font-family: 'Cooper';
    --readingfont: font-family: 'atkinson';


    --texture1: url(/assets/images/decor/paperrough2.png);

    --texture2:url(/assets/images/decor/texture-project-paper.png);

    --borderrad: 15px;
    --boxshadow1: 3px 3px var(--accentlight);
    --boxshadow2: 1px 1px 8px 5px #39393985 ;
     --boxshadow3: 8px 8px 6px #3939395e ;
    
}


* {
    margin: 0%;
    padding: 0%;
}

body {
    background-color: var(--body);
    background-image: var(--texture2);
    overflow-x: hidden;
    overflow-y: scroll;
    scrollbar-width: thin;
     min-height: 100vh;
  margin: 0;
  display: grid;
  grid-template-rows: auto 1fr auto;
}

/*----*/
/*-------------------------TEXT-----------------------------------------*/

p, text, footer a {
    font-family: 'atkinson';
    font-size: 1.1em;
}

a {
    color: var(--accent2);
    text-decoration: none;
}

a :hover {
    color: var(--accent);
}

p, text {
    color: var(--nuetral1);
}

h2 + .meta {
    margin-top: -70%;
    margin-bottom: -50%;
}

h2 {
    font-family: 'Cooper';
    color: var(--accent);
}


h3, h4, h5, h6 {
    font-family: 'atkinson';
}

h3 {
    margin-top: var(--small-margin);
    font-size: 1.3em;
}


p, text, h2, h3, h4 {
    margin-bottom: var(--small-margin);
    margin-top: var(--small-margin);
}


/*----*/
/*-------------------------HEADER-----------------------------------------*/

header {
    background-color: var(--secondary);
    max-width: 100%;
    display: flex;
     flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    background-image: var(--texture1);
    background-blend-mode:color-dodge;
    background-size: cover;
    padding: var(--base-padding);
    box-shadow: var(--boxshadow2);
}



h1 a {
    color: var(--primary);
    text-decoration: none;
    font-size: 1.8em;
    font-family: 'Cooper';
    letter-spacing: -2px;
    line-height: .5;
    text-shadow: 2px 2px var(--accent) ;

}

h1 a:hover {
    color: var(--body);
}

#space {
    margin-left: .9em;
}

.logo {

    height: 100px;
    width: 100px;
    border-radius: var(--borderrad);
    background-color: var(--accent);
    background-image: url(/assets/images/decor/logo.png) ;
    background-size: cover;
    box-shadow: 5px 5px 10px 0px #333333ad inset;
   
}

.logo:hover {
    background-image: url(/assets/images/decor/logoh.png);

}

.logo::before {
  position: absolute;
  width: 0;
  height: 0;
  background: url(/assets/images/decor/logoh.png);
  content: '';
}

nav {
    display: flex;
    flex-wrap: wrap;
    display: flex;
    justify-content: space-between;
    margin-top: var(--base-margin);
    margin-bottom: var(--base-margin);
}

nav a {
    font-family: 'atkinson';
    text-decoration: none;
    padding: 10px;
    color: var(--nuetral1);
    font-size: 1.6em;

}

nav a:hover {
    color: var(--accent);
}

.active {
    color: var(--nuetral1);
    box-shadow: var(--boxshadow1), var(--boxshadow3);
    border-radius: var(--borderrad);
    background-color: var(--nuetral3);
}

/*----*/
/*-------------------------MAIN-----------------------------------------*/

main {
    width: 70%;
    margin: auto;
}

.box {
    height: fit-content;
    background-color: var(--nuetral3);
    box-shadow: var(--boxshadow1),var(--boxshadow3);
    border-radius: var(--borderrad);
    padding: var(--base-padding);
    margin-bottom: var(--base-margin);
    box-sizing: border-box;
    overflow: hidden;
}

.right {
    margin-right: var(--small-margin);
}

.left {
    margin-left: var(--small-margin);
}

.fill, img  {
    width: 100%;
}

.small-margin {
    margin: var(--small-margin);
}

.box img {
    border-radius: var(--borderrad);
}

/*-------------------------GALLERY-----------------------------------------*/

.gallery {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: auto;
    grid-auto-flow: dense;
    gap: 20px;
}

.gallery img {
    border-radius: var(--borderrad);
    box-shadow: var(--boxshadow3);
     width: 100%;
    height: 100%;
    object-fit: cover;
}


img.four-grid-cells {
    grid-row: span 2 / auto;
    grid-column: span 2 / auto;
}

img.wide-image {
    grid-column: span 2 / auto;
}

img.stretch {
        grid-row: span 2 / auto;
    grid-column: span 4 / auto;
}

video {
    margin-top: var(--base-margin);
    width: 100%;
}


/*-------------------------OVERLAY?----------------------------------------*/
      


/*-------------------------about----------------------------------------*/
#about {
    display: flex;
    align-items: center;
}
/*-------------------------FOOTER-----------------------------------------*/



footer {
    margin-top: var(--base-margin);
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-content: center;
    padding: var(--base-padding);
    box-sizing: border-box;
      background-image: var(--texture1);
    background-blend-mode:color-dodge;
    background-size: cover;
    background-color: var(--secondary);


}

footer img {
    height: 35px;
}

.footer-contain {
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    justify-items: center;
    text-align: center;
    width: 30%;
}

.footer-links {
    display: flex;
    flex-direction: column;
}

.up {
  margin: auto;
}

.up a {
  
    display: block;
    height: 30px;
    width: 30px;
    background-repeat: no-repeat;
    background-image: url(/assets/images/decor/up.png);
    background-size: cover;
}

.up a:hover {
    background-image: url(/assets/images/decor/uph.png);
}

footer text {
    color: var(--nuetral2);
}

/*-------------------------SIZING-----------------------------------------*/

@media screen and (max-width: 768px) {
   .gallery {
        grid-template-columns: 1fr 1fr;
    }
}


@media(max-width:768px){

    main {
        width: 90%;
    }
    nav {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
    }
  
/* changes the grid layout to a single column */
    div.gallery {
        grid-template-columns: auto;
    }

/* resets the grid placement properties for 
the images spanning four grid cells */
    img.four-grid-cells {
        grid-row: auto;
        grid-column: auto;
    }

/* resets the grid placement properties for 
the images spanning two grid columns  */
    img.wide-image {
        grid-column: auto;
    }
/* resets the grid placement properties for 
the images spanning two grid columns  */
    img.stretch {
        grid-column: auto;
    }



     #about {
        flex-direction: column;
        align-items: center;
        overflow: hidden;
    }

    footer text {
        margin: 2px;
    }

    footer {
        flex-direction: column;
        justify-content: center;
    }

    .footer-links, .footer-contain{
        justify-content: center;
    }

}

@media(max-width:500px){
   .logo {
    display: none;
   }
}